import Vue from 'vue';
import { RawLocation, Route } from 'vue-router';
import { BgUiLink } from './bg-ui-link';
import { BgUiOpenOption } from './bg-ui-open-option';
import { BgVueCurrentRoute } from './bg-vue-current-route';
export declare class BingoVueEx {
    readonly $vue: any;
    constructor($vue: any);
    _destroyed(): void;
    get $opener(): any;
    private __$bingo_router_link;
    get $openLink(): any;
    private _$isRouteComponent;
    /** 是否路由组件 */
    get $isRouteComponent(): boolean;
    private _$routeComponent;
    /** 获取路由组件，可能是当前组件或上级组件 */
    get $routeComponent(): Vue;
    private _$currentRoute;
    /** 前面route, 深复制 */
    get $currentRoute(): BgVueCurrentRoute;
    $confirm(content: string, callback?: (r: boolean) => void, config?: any): Promise<boolean>;
    $alert(content: string, callback?: (r: boolean) => void, config?: any): Promise<boolean>;
    $open(location: RawLocation, query?: any, option?: BgUiOpenOption): BgUiLink;
    $params<T = any>(defaultValue?: T): T;
    /**
     * 向$open receive 发送信息
     * @param args
     * @example $send(true, 'ok')
     */
    $send(...args: any[]): void;
    /**
     * 关闭
     * @param args 如果参数不为空，向$open receive 发送信息
     */
    $close(...args: any[]): void;
    /**
     * 向上逐层查找组件，包括自己
     * @param fn 查找条件
     */
    $closest<T = Vue>(p: any): T;
    $get(prop: any): any;
    $set(prop: any, val: any): void;
    private _resolveAsset;
    private _components;
    /** 获取当前组件所有注册组件 */
    get $components(): any;
    private _directives;
    /** 获取当前组件所有注册指令 */
    get $directives(): any;
    private _filters;
    /** 获取当前组件所有注册过滤器 */
    get $filters(): any;
}
declare module 'vue/types/vue' {
    interface Vue {
        $bingo: BingoVueEx;
    }
    interface VueConstructor<V extends Vue = Vue> {
        $openEx?(location: RawLocation, query?: any, option?: BgUiOpenOption): BgUiLink;
        $cloneRouteEx?(route: Route): BgVueCurrentRoute;
    }
}
