import Vue, { VNode } from "vue";
import { Route, RouteRecord } from 'vue-router';
import BgRouterViewComponent from "./bg-router-view.component";
declare module "vue-router/types/router" {
    interface VueRouter {
        cacheEach(fn: (e: BgRouterViewCacheItemEvent) => void): void;
    }
}
interface BgRouterKeepAlive extends Vue {
    removeAll(excludeKeys?: string[]): void;
    remove(keys: string[]): void;
}
export interface BgRouterViewCacheItemEvent {
    /** 设置，是否缓存 */
    cache: boolean;
    /** 缓存的key，可以重新设置新的key */
    readonly key: string;
    /** 组件名称，只读 */
    readonly name: string;
    /** router-view 嵌套深度，从0开始 */
    readonly depth?: number;
    /** 嵌套层数 */
    readonly depthCount?: number;
    /** 嵌套最后层 */
    readonly depthLast?: boolean;
    /** rotue内容 */
    readonly route?: Route;
    /** bg-router-view */
    readonly routerView?: BgRouterViewComponent;
    /** 缓存组件 */
    readonly keepAlive?: BgRouterKeepAlive;
    /** bg-router-view name */
    readonly routerViewName?: string;
    /** 当前router-view的metached */
    readonly matched?: RouteRecord;
    /**  vnode，只读 */
    readonly vnode: VNode;
    /**
     * 缓存中的组件对象，没有缓存中的为空
     * 只能处理缓存中的组件
     * 只读
     */
    readonly instance: Vue;
    /** 缓存中 */
    readonly caching?: boolean;
}
export interface BgRouterViewCacheEvent {
    current?: BgRouterViewCacheItemEvent;
    caches?: {
        [key: string]: BgRouterViewCacheItemEvent;
    };
}
export declare const BgRouterKeepPatternTypes: any[];
export {};
