import './style/components.less';
import childheader from './components/childheader/index.vue';
export { default as queryMethodsBuilder } from './libs/query-methods-builder';
export { default as buildQueryMethodsMixin } from './components/user-select/build-query-methods';
export { default as treeUtils } from './libs/tree';
export * from './components/settings';
declare let MvueComponents: {
    leapQueryConvertor: {
        exec: (leapService: any, ctx: any, beforeQuery?: any, afterQuery?: any) => Promise<unknown>;
        buildFilter: (group: any) => string;
        buildQueryOptions: (ctx: any) => any;
    };
    context: {
        webApplication: import("@fly-vue/core").WebApplicationCls;
        getRouter(): import("vue-router").default;
        getContext: () => {
            Vue: import("vue").VueConstructor<childheader<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => childheader<Record<string, any>, Record<string, any>, never, never, any>>>;
            router: any;
            mvueToolkit: {
                utils: {
                    insertAtCursor: ($textarea: any, val: any) => void;
                    appendParams: (url: any, params: any) => string;
                    appendParam: (url: any, paramName: any, paramVal: any) => string;
                    urlPattern: (url: any, paramName: any, paramVal: any) => any;
                    reduceModelForUpdate: (model: any, moreFields: any) => any;
                    smartValidate: (_this: any, _model: any, _validator: any, callback: any, failback: any) => void;
                    smartSearch: (_this: any, callback: any, _changedQueueKey: any, _duration: any) => void;
                    smartAction: (_this: any, _changedQueueKey: any, callback: any, _duration: any) => void;
                    randomString: (len: any) => string;
                    camelToUnderscore: (str: any) => any;
                    closeWindow: () => void;
                    leapQueryValueEncode(value: any): any;
                    getMomentFormat(format: any): any;
                    hasPerm(userPermVal: any, operationPermVal: any): boolean;
                    hasDataPerm(item: any, btn: any): boolean;
                    dataPermField: string;
                    permValues: {
                        view: number;
                        create: number;
                        edit: number;
                        del: number;
                        publish: number;
                        manage: number;
                        changeOwner: number;
                    };
                    queryKeys: {
                        action: string;
                        hideSuiteNavbar: string;
                    };
                    formActions: {
                        create: string;
                        view: string;
                        edit: string;
                    };
                    ignoreSpecialQuery(query: any): any;
                    getWebContext(): string;
                    visitTree(tree: any, process: any, parent: any, indexOrKey: any): void;
                };
                session: {
                    isLogin: () => boolean;
                    getToken: () => string;
                    hasToken: () => boolean;
                    doSignIn: (tokenInfo: import("@fly-vue/core").TokenInfo, options?: import("@fly-vue/core").SignInOptions) => Promise<import("@fly-vue/core").SessionDetail>;
                    doLogout: (returnUrl: string, redirect?: boolean) => Promise<void>;
                    doLogin: (returnUrl: string) => string | void | {
                        path: string;
                    };
                    getCurrentUser: () => import("@fly-vue/core").IUser;
                    onSignIn: (func: import("@fly-vue/core").ILoginInterceptor) => void;
                    onSignOut: (func: import("@fly-vue/core").ILogoutInterceptor) => void;
                    getSessionDetail: () => import("@fly-vue/core").SessionDetail;
                    setSessionDetail(_session: any): Promise<void>;
                    refreshToken(tokenInfo?: any): Promise<boolean>;
                    doFilter: (to: import("vue-router").Route, from: import("vue-router").Route, next: any) => Promise<void>;
                    switchTenant(tenantId: any, timeout?: number): Promise<unknown>;
                    clearSession(): void;
                };
                ssoclient: import("@fly-vue/core").SSOClientImpl;
                config: import("@fly-vue/core").ConfigCls;
                resource: typeof import("@fly-vue/core").Resource;
            };
            webContext: {
                contextPath: string;
                pagePath: string;
                inSamePage: (location: any) => boolean;
            };
        };
        getWebContext: () => {
            contextPath: string;
            pagePath: string;
            inSamePage: (location: any) => boolean;
        };
        getCurrentVue: () => childheader<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => childheader<Record<string, any>, Record<string, any>, never, never, any>>;
        getMvueToolkit: () => {
            utils: {
                insertAtCursor: ($textarea: any, val: any) => void;
                appendParams: (url: any, params: any) => string;
                appendParam: (url: any, paramName: any, paramVal: any) => string;
                urlPattern: (url: any, paramName: any, paramVal: any) => any;
                reduceModelForUpdate: (model: any, moreFields: any) => any;
                smartValidate: (_this: any, _model: any, _validator: any, callback: any, failback: any) => void;
                smartSearch: (_this: any, callback: any, _changedQueueKey: any, _duration: any) => void;
                smartAction: (_this: any, _changedQueueKey: any, callback: any, _duration: any) => void;
                randomString: (len: any) => string;
                camelToUnderscore: (str: any) => any;
                closeWindow: () => void;
                leapQueryValueEncode(value: any): any;
                getMomentFormat(format: any): any;
                hasPerm(userPermVal: any, operationPermVal: any): boolean;
                hasDataPerm(item: any, btn: any): boolean;
                dataPermField: string;
                permValues: {
                    view: number;
                    create: number;
                    edit: number;
                    del: number;
                    publish: number;
                    manage: number;
                    changeOwner: number;
                };
                queryKeys: {
                    action: string;
                    hideSuiteNavbar: string;
                };
                formActions: {
                    create: string;
                    view: string;
                    edit: string;
                };
                ignoreSpecialQuery(query: any): any;
                getWebContext(): string;
                visitTree(tree: any, process: any, parent: any, indexOrKey: any): void;
            };
            session: {
                isLogin: () => boolean;
                getToken: () => string;
                hasToken: () => boolean;
                doSignIn: (tokenInfo: import("@fly-vue/core").TokenInfo, options?: import("@fly-vue/core").SignInOptions) => Promise<import("@fly-vue/core").SessionDetail>;
                doLogout: (returnUrl: string, redirect?: boolean) => Promise<void>;
                doLogin: (returnUrl: string) => string | void | {
                    path: string;
                };
                getCurrentUser: () => import("@fly-vue/core").IUser;
                onSignIn: (func: import("@fly-vue/core").ILoginInterceptor) => void;
                onSignOut: (func: import("@fly-vue/core").ILogoutInterceptor) => void;
                getSessionDetail: () => import("@fly-vue/core").SessionDetail;
                setSessionDetail(_session: any): Promise<void>;
                refreshToken(tokenInfo?: any): Promise<boolean>;
                doFilter: (to: import("vue-router").Route, from: import("vue-router").Route, next: any) => Promise<void>;
                switchTenant(tenantId: any, timeout?: number): Promise<unknown>;
                clearSession(): void;
            };
            ssoclient: import("@fly-vue/core").SSOClientImpl;
            config: import("@fly-vue/core").ConfigCls;
            resource: typeof import("@fly-vue/core").Resource;
        };
        buildResource: (url: any, actions: any, _options: any) => import("@fly-vue/core").IResource;
        getSession: () => {
            isLogin: () => boolean;
            getToken: () => string;
            hasToken: () => boolean;
            doSignIn: (tokenInfo: import("@fly-vue/core").TokenInfo, options?: import("@fly-vue/core").SignInOptions) => Promise<import("@fly-vue/core").SessionDetail>;
            doLogout: (returnUrl: string, redirect?: boolean) => Promise<void>;
            doLogin: (returnUrl: string) => string | void | {
                path: string;
            };
            getCurrentUser: () => import("@fly-vue/core").IUser;
            onSignIn: (func: import("@fly-vue/core").ILoginInterceptor) => void;
            onSignOut: (func: import("@fly-vue/core").ILogoutInterceptor) => void;
            getSessionDetail: () => import("@fly-vue/core").SessionDetail;
            setSessionDetail(_session: any): Promise<void>;
            refreshToken(tokenInfo?: any): Promise<boolean>;
            doFilter: (to: import("vue-router").Route, from: import("vue-router").Route, next: any) => Promise<void>;
            switchTenant(tenantId: any, timeout?: number): Promise<unknown>;
            clearSession(): void;
        };
        getSSOClient: () => import("@fly-vue/core").SSOClientImpl;
        getConfig: (configKey: any) => any;
        buildLeapIn(items: any): string;
        modalHeight(bias: any, width: any): number;
        modalWidth(): 70 | 90 | 80 | 60;
    };
};
export default MvueComponents;
export * from './libs/query-convertor/index';
export * from './libs/column-render/index';
export * from './libs/btn-render/index';
export * from './mixins/index';
